Class | Chef::Formatters::ErrorInspectors::RegistrationErrorInspector
In: | lib/chef/formatters/error_inspectors/registration_error_inspector.rb
Parent: | Object

## RegistrationErrorInspector

Wraps exceptions that occur during the client registration process and suggests possible causes.

### Methods

add_explanation api_key clock_skew? format_rest_error humanize_http_exception new server_url username

### Attributes

config | [R] |
exception | [R] |
node_name | [R] |

### Public Class methods

new(node_name, exception, config)

### Public Instance methods

add_explanation(error_description)
api_key()
clock_skew?()
format_rest_error()

Parses JSON from the error response sent by Chef Server and returns the error message

humanize_http_exception(error_description)
server_url()
username()

[Validate]